---
title: WindowOrWorkerGlobalScope.indexedDB
slug: Web/API/WindowOrWorkerGlobalScope/indexedDB
tags:
  - API
  - Database
  - IndexedDB
  - Property
  - Read-only
  - Reference
  - Storage
  - WindowOrWorkerGlobalScope
---
<div>{{ APIRef() }}</div>

<p>The <strong><code>indexedDB</code></strong> read-only property of the {{domxref("WindowOrWorkerGlobalScope")}} mixin provides a mechanism for applications to asynchronously access the capabilities of indexed databases.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>IDBFactory</em> = self.indexedDB;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("IDBFactory")}} object.</p>

<h2 id="Example">Example</h2>

<p>The following code creates a request for a database to be opened asychronously, after which the database is opened when the request's <code>onsuccess</code> handler is fired:</p>

<pre class="brush: js;highlight:[3]">var db;
function openDB() {
 var DBOpenRequest = window.indexedDB.open('toDoList');
 DBOpenRequest.onsuccess = function(e) {
   db = DBOpenRequest.result;
 }
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('IndexedDB 2', '#dom-windoworworkerglobalscope-indexeddb', 'indexedDB')}}</td>
   <td>{{Spec2('IndexedDB 2')}}</td>
   <td>Defined in a <code>WindowOrWorkerGlobalScope</code> partial in the newest spec.</td>
  </tr>
  <tr>
   <td>{{SpecName('IndexedDB', '#dom-windoworworkerglobalscope-indexeddb', 'indexedDB')}}</td>
   <td>{{Spec2('IndexedDB')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.WindowOrWorkerGlobalScope.indexedDB")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/IndexedDB_API/Using_IndexedDB">Using IndexedDB</a></li>
 <li>Starting transactions: {{domxref("IDBDatabase")}}</li>
 <li>Using transactions: {{domxref("IDBTransaction")}}</li>
 <li>Setting a range of keys: {{domxref("IDBKeyRange")}}</li>
 <li>Retrieving and making changes to your data: {{domxref("IDBObjectStore")}}</li>
 <li>Using cursors: {{domxref("IDBCursor")}}</li>
 <li>Reference example: <a class="external" href="https://github.com/mdn/to-do-notifications/tree/gh-pages">To-do Notifications</a> (<a class="external" href="https://mdn.github.io/to-do-notifications/">view example live</a>.)</li>
</ul>
